$(document).ready(function() {
//  $('#cart tbody tr:nth-child(even)').addClass('alt');
  var stripe = function() {
    $('#cart tbody tr').removeClass('alt')
    .filter(':visible:odd').addClass('alt');
  };
  stripe();

  $('.quantity input').keypress(function(event) {
    if (event.which && (event.which < 48 || 
                                       event.which > 57)) {
      event.preventDefault();
    }
  });

  var $quantities = $('td.quantity input'); 
  $quantities.change(function() {
    var totalQuantity = 0; 
    $quantities.each(function() {
     var quantity = parseInt(this.value); 
     totalQuantity += quantity;
    });
  $('tr.shipping td.quantity').text(String(totalQuantity));
  });

  $('td.quantity input').change(function() {
    var totalQuantity = 0; 
    var totalCost = 0;
    $('#cart tbody tr').each(function() {
      var price = parseFloat($('td.price', this)
                             .text().replace(' ', ''));
      price = isNaN(price) ? 0 : price;
      var quantity = 
               parseInt($('td.quantity input', this).val(), 10);
      quantity = isNaN(quantity) ? 0 : quantity;         
      var cost = quantity * price;
      $('td.cost', this).text(cost.toFixed(2)+' ');
      totalQuantity += quantity;
      totalCost += cost;
    });
    $('tr.shipping td.quantity').text(String(totalQuantity));
    $('tr.subtotal td.cost').text(totalCost.toFixed(2)+ ' ');

    var taxRate = parseFloat($('tr.tax td.price').text()) / 100;
    var tax = Math.ceil(totalCost * taxRate * 100) / 100;
    $('tr.tax td.cost').text(tax.toFixed(2)+' ');
    totalCost -= tax;

    $('tr.shipping td.quantity').text(String(totalQuantity));
    var shippingRate = parseFloat($('.shipping .price')
                             .text().replace(/^[^\d.]*/, ''));
     var shipping = totalQuantity * shippingRate;
     $('tr.shipping td.cost').text(shipping.toFixed(2)+' ');
     totalCost += shipping;
     $('tr.total td.cost').text(totalCost.toFixed(2)+' ');

  });
  $('#recalculate').hide();

  $('<th>&nbsp;</th>')
    .insertAfter('#cart thead th:nth-child(2)');
  $('#cart tbody tr').each(function() {
     $deleteButton = $('<img />').attr({
       'width': '16',
       'height': '16',
       'src': 'images/cross.png',
       'alt': '  ',
       'title': '  ',
       'class': 'clickable'
     }).click(function() {
       $(this).parents('tr').find('td.quantity input')
         .val(0).trigger('change')
       .end().hide();
       stripe();
     });
     $('<td>&nbsp;</td>')
      .insertAfter($('td:nth-child(2)', this))
      .append($deleteButton);
  });
  $('<td>&nbsp;</td>')
  .insertAfter('#cart tfoot td:nth-child(2)');

});
